# Generated by Django 2.2.5 on 2019-09-18 08:54

import django.contrib.gis.db.models.fields
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import voyages.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Continent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.CharField(max_length=16)),
                ('geom', django.contrib.gis.db.models.fields.MultiPolygonField(blank=True, null=True, srid=4326)),
            ],
        ),
        migrations.CreateModel(
            name='Country',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code_iso', models.CharField(blank=True, max_length=2, null=True)),
                ('label_local', models.CharField(max_length=128)),
                ('label_en', models.CharField(blank=True, max_length=128, null=True)),
                ('label_fr', models.CharField(blank=True, max_length=128, null=True)),
                ('geom', django.contrib.gis.db.models.fields.MultiPolygonField(blank=True, null=True, srid=4326)),
                ('continent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='voyages.Continent')),
            ],
        ),
        migrations.CreateModel(
            name='Path',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('time_start', models.DateTimeField(blank=True, null=True)),
                ('time_end', models.DateTimeField(blank=True, null=True)),
                ('transport', models.CharField(blank=True, help_text='bi : bike, bo : boat, bu : bus, c : car, t : train, p : plane, s : stop, w : walk', max_length=2, null=True)),
                ('text', models.TextField(blank=True, null=True)),
                ('geom', django.contrib.gis.db.models.fields.MultiLineStringField(blank=True, null=True, srid=4326)),
            ],
        ),
        migrations.CreateModel(
            name='Stage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('address', models.CharField(blank=True, max_length=128, null=True)),
                ('zip', models.CharField(blank=True, max_length=8, null=True)),
                ('town', models.CharField(blank=True, max_length=64, null=True)),
                ('text', models.TextField(blank=True, null=True)),
                ('notes', models.IntegerField(blank=True, null=True, validators=[django.core.validators.MaxValueValidator(5), django.core.validators.MinValueValidator(0)])),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now_add=True)),
                ('day_start', models.DateField(blank=True, null=True)),
                ('day_end', models.DateField(blank=True, null=True)),
                ('on_path', models.BooleanField(default=True)),
                ('geom', django.contrib.gis.db.models.fields.PointField(blank=True, null=True, srid=4326)),
                ('country', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='voyages.Country')),
            ],
        ),
        migrations.CreateModel(
            name='StageArticle',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=128)),
                ('text', models.TextField(blank=True, null=True)),
                ('published_at', models.DateTimeField(auto_now_add=True)),
                ('stage', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='voyages.Stage')),
            ],
        ),
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('pseudo', models.CharField(max_length=32)),
                ('surname', models.CharField(blank=True, max_length=32, null=True)),
                ('name', models.CharField(blank=True, max_length=32, null=True)),
                ('email', models.CharField(max_length=64)),
                ('address', models.CharField(blank=True, max_length=128, null=True)),
                ('ville', models.CharField(blank=True, max_length=64, null=True)),
                ('cp', models.CharField(blank=True, max_length=5, null=True)),
                ('pwd', models.CharField(max_length=16)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name='Trip',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
                ('time_start', models.DateField(blank=True, null=True)),
                ('time_end', models.DateField(blank=True, null=True)),
                ('price', models.FloatField(blank=True, null=True)),
                ('descr', models.TextField(blank=True, null=True)),
                ('note', models.IntegerField(blank=True, null=True)),
                ('user', models.ForeignKey(default=0, on_delete=django.db.models.deletion.CASCADE, to='voyages.User')),
            ],
        ),
        migrations.CreateModel(
            name='StageImage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('img', models.ImageField(upload_to=voyages.models.user_directory_stage_img)),
                ('stage', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='voyages.Stage')),
                ('stage_article', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='voyages.StageArticle')),
            ],
        ),
        migrations.AddField(
            model_name='stage',
            name='trip',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='voyages.Trip'),
        ),
        migrations.AddField(
            model_name='stage',
            name='user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='voyages.User'),
        ),
        migrations.CreateModel(
            name='PathImage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('img', models.ImageField(upload_to=voyages.models.user_directory_path_img)),
                ('path', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='voyages.Path')),
            ],
        ),
        migrations.CreateModel(
            name='PathArticle',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=128)),
                ('text', models.TextField(blank=True, null=True)),
                ('published_at', models.DateTimeField(auto_now_add=True)),
                ('path', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='voyages.Path')),
            ],
        ),
        migrations.AddField(
            model_name='path',
            name='step_end',
            field=models.ForeignKey(default=0, on_delete=django.db.models.deletion.PROTECT, related_name='ending_stage', to='voyages.Stage'),
        ),
        migrations.AddField(
            model_name='path',
            name='step_start',
            field=models.ForeignKey(default=0, on_delete=django.db.models.deletion.PROTECT, related_name='starting_stage', to='voyages.Stage'),
        ),
        migrations.AddField(
            model_name='path',
            name='trip',
            field=models.ForeignKey(default=0, on_delete=django.db.models.deletion.CASCADE, to='voyages.Trip'),
        ),
        migrations.AddField(
            model_name='path',
            name='user',
            field=models.ForeignKey(default=0, on_delete=django.db.models.deletion.CASCADE, to='voyages.User'),
        ),
    ]
